document.addEventListener("DOMContentLoaded", function () {
  no_scroll();

  // メニューオーバーレイ表示
  $(".menu_btn").click(function () {
    var w = $(this).width();

    $(this).toggleClass("hide");
    $("#overlay_menu .item").toggleClass("hide");
  });

  // ユーザーリストオーバーレイ表示
  $(".user_btn").click(function () {
    var w = $(this).width();

    $(this).toggleClass("hide");
    $("#overlay_user_list.overlay")
      .toggleClass("slidein")
      .css({ transform: "translateX(" & -w & ")" });

    if ($(this).hasClass("hide")) {
      return_scroll();
    } else {
      scrollTo(0, 0);
      no_scroll();
    }
  });

  // モーダルonモーダル（前のモーダルを非表示に）
  // ホスト変更ボタン押下イベント
  $(".ch_host_btn").click(function () {
    var target = $(this).val();
    changeModal(target, "changeHostModal");
  });

  /* モーダルの切り替え */
  function changeModal(beforeModal, afterModal) {
    $(beforeModal).modal("hide");
    $(afterModal).modal("show");
  }

  // 閉じるイベント
  $(".close_btn").click(function () {
    $("#overlay_add_user_list").addClass("none");
    no_scroll();
  });

  // ユーザー追加イベント
  $(".inv_btn").click(function () {
    $("#overlay_add_user_list").addClass("none");
  });

  // ユーザー招待メンバー検索
  $(".add_user_btn").click(function () {
    return_scroll();
    CHAT_UI.showLoadingIndicator();
    CHAT.globalSelectedUserList = [];
    CHAT_UI.refreshMyGroupForAddUserInCollaboration();
    $("#addUserConfirmBtnInCollaboration")
      .off()
      .on("click", function () {
        $("#addUserInCollaboration").modal("hide");
        const selectedUserList = CHAT.globalSelectedUserList.join(",");
        NativeBridgeDelegate.saveSelectedUserList(selectedUserList);
        CHAT_UI.confirmInviteUserListInCollaboration();
      });
  });
});

function penOff() {
  if (!$("#penBtn .pen").hasClass("disable")) {
    $("#coviewPenCtrBtn").click();
    $("#penBtn .pen").addClass("disable");
  }
}

function no_scroll() {
  document.addEventListener("mousewheel", scroll_control, { passive: false });
  document.addEventListener("touchmove", scroll_control, { passive: false });
}
// スクロール禁止解除
function return_scroll() {
  document.removeEventListener("mousewheel", scroll_control, {
    passive: false,
  });
  document.removeEventListener("touchmove", scroll_control, { passive: false });
}
function scroll_control(event) {
  if (event.cancelable) {
    event.preventDefault();
  }
}
